LINUX.ORG.RU
ФорумTalks

Ищу домен

 , ,


0

1

Удивляюсь, что этого ещё никто не сделал. Потратил много времени на изучение того, как происходит запуск программы в Linux. Теперь я умею пересобрать программу, если бинарник хочет новый GCC (библиотека libstdc++.so.6), а у меня старый дистрибутив, удовлетворять зависимости, подставлять переменную LD_LIBRARY_PATH. Например, для решения первой проблемы в openSUSE нужно подключить этот репозиторий, открыть YaST, найти пакет libstdc++6, нажать «обновить». Кстати, в нём есть старый GCC, если кому-то нужно собрать бинарник в старом GCC для совместимости со всеми дистрибутивами. Уверен, что для других дистрибутивов тоже есть решение.

Мало кто хочет компилировать вручную. Поэтому я ищу домен, чтобы написать там инструкции для дистрибутивов Linux о том, как запустить программу, которая попросила новый libstdc++.so.6. Например, getthelatestlibstdc++ точка ком. Где такой домен можно купить? Предлагайте названия для домена с описанным содержанием.

И ещё немного о содержании сайта. Описать суть проблемы: у libstdc++ нет обратной совместимости «снизу вверх». Открытое приложение можно перекомпилировать, закрытое же - собрать со старым GCC 4.1, но не все разработчики это делают. Бинарные пакеты с FireFox, Java. Adobe Flash и Reader скомпилированы как надо, а вот многие непопулярные приложения, вроде игрушек из Humble Bundle, сделаны не так. Сделать гиперссылки на руководства для разных дистрибутивов. А для совсем старых дистрибутивов Linux, например которым 7 лет, распространять архив с этими бинарными библиотеками. С ними я запускал новейшие игры в Mandrake 10, заодно покажу скриншоты, вдруг не поверят.

P.S. Так как первый оставивший комментарий не понял мысль, вот набросок.

сегодня же писали здесь. windows.ru

dada ★★★★★ ()
Ответ на: комментарий от fontpath

> что за бред

Я тебе тоже нарисую в GIMP. Достало, что без этого не понимают.

ZenitharChampion ★★★★★ ()

По моему ты несколько упорот сейчас. Запусти кипяченки по вене, а потом приходи.

partyzan ★★★ ()
Ответ на: комментарий от partyzan

Что такое упорот? Что такое кипячёнка?

Специально для тебя я запишу видео. Примерно через три часа.

ZenitharChampion ★★★★★ ()

у libstdc++ нет обратной совместимости «снизу вверх».

а как запилить совместимость с будущим? о_О
я тоже так хочу!

megabaks ★★★★ ()

Вот что случается с убунтохейтерами.
По теме: чем лоровская вики не угодила?

firestarter ★★★☆ ()
Ответ на: комментарий от megabaks

>> у libstdc++ нет обратной совместимости «снизу вверх».

а как запилить совместимость с будущим? о_О

я тоже так хочу!

У многих библиотек она есть. Я могу скомпилировать систему с последними trunk libpng 1.2, libjpeg.so.62, openssl.1.0.0, и запустить на старом компе, у которого такая же версия библиотеки, без перекомпилирования.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от firestarter

> Вот что случается с убунтохейтерами.

Проблема касается и убунты тоже. Она не может запустить программы, собранные в GCC 4.7.

> По теме: чем лоровская вики не угодила?

я не видел там об этом. И я хочу на английском и домен второго уровня.

ZenitharChampion ★★★★★ ()

Запили в LOR-Wiki, проиндексируется хорошо => поможет многим.

april ()

Ищу домен

ZenitharChampion

ubuntu.narod.ru

J ★★★★ ()
Ответ на: комментарий от SEV

У тебя есть предложения по названию? Желательно покороче, и без удвоенной «g».

ZenitharChampion ★★★★★ ()

Для справки, зона .so существует и открыта для регистрации.

Но ты бредишь, да.

Kalashnikov ★★★ ()
Ответ на: комментарий от J

Я там ещё календарик добавлю с красными датами для новостей, и новости начиная с 20-го марта добавлю. Их настолько много, что мне просто лень листать их.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Их настолько много, что мне просто лень листать их.

Именно поэтому ты туда постишь даже толксы? Почему тогда так избирательно? Грепай ubuntu из ЛОР и все на народ.

J ★★★★ ()
Ответ на: комментарий от J

Лень.

Вопрос знающим людям. Если держать в системе предыдущую версию компилятора, и новый пакет с libstdc++.so.6, будет ли от новой версии зависеть все скомпилированные программы? Например, openSuSE 12.1, GCC 4.6, а я устанавливаю libstdc++.so.6 от GCC 4.7. Запустится ли скомпилированный мной пакет у других пользователей openSuSE 12.1? Или попросит обновить libstdc++.so.6?

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

смотря с какой будешь линковать...и хидеры которой использовать
//Кэп

megabaks ★★★★ ()

Я ничего не понял. Ты осилил CFLAGS, LDFLAGS и LD_LIBRARY_PATH?

Это большое достижение, очень хорошее.

DELIRIUM ★★★★☆ ()
Ответ на: комментарий от DELIRIUM

Страница не об этом. Страница будет сделана для того, чтобы любой, кто введёт эту распространённую ошибку в любимый поисковик, сразу понял как её исправить.

ZenitharChampion ★★★★★ ()

честно признавайся какие вещества ты сегодня употреблял

BigAlex ★★★ ()
Ответ на: комментарий от ZenitharChampion

ответ есть в твоем вопросе. нахера тебе какой-то там домен, если ты можешт чиркануть пару строчек про эту ошибку в своем бложике (хоть на блогспоте). не волнуйся гугль проиндексирует и покажет в результатах поиска, если это действительно будет кто-то искать. /thread

BigAlex ★★★ ()
Ответ на: комментарий от ZenitharChampion

Проблема касается и убунты тоже. Она не может запустить программы, собранные в GCC 4.7.

Такая проблема там возникает почти никогда. Пользователи Убунты и сами догадываются что можно скормить старую версию библиотеки с помощью LD_PRELOAD или LD_LIBRARY_PATH (сам так делаю несколько лет, как догадался не помню).

firestarter ★★★☆ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.